CREATE OR REPLACE PROCEDURE DC_CSV
/*******************************************************
処理内容    ：  パラメータ条件でデータをCSV形式で出力する
dir_name    ：  出力先ディレクトリ
p_filename  ：  出力ファイル名（拡張子は不要）
p_SQL      ：  Sql文
********************************************************/
(
    dir_name    IN VARCHAR2,
    p_filename  IN VARCHAR2,    --パラメータ（ファイル名)
    p_sql       IN VARCHAR2     --パラメータ（SQL)

)
IS
	sql_stmt	VARCHAR2(2000);
	file_name	VARCHAR2(2000);
	row_count	NUMBER;
	status		NUMBER;
BEGIN
    --SQLスクリプト
	sql_stmt := p_sql;

    --★出力ファイル名の設定
	file_name := p_filename;
    --
	row_count := UNLOAD.EXPORT_TO_FILE(sql_stmt, file_name, dir_name);
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
quit;
